%bcond_without check

%global goipath         github.com/jcmturner/dnsutils
Version:                2.0.0

%gometa

%global common_description %{expand:
DNS utils for Go.}

%global golicenses      LICENSE

Name:           %{goname}
Release:    1%{?dist}
Summary:        DNS utils for Go

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%if %{with check}
BuildRequires:  golang(github.com/stretchr/testify/assert)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
sed -i 's|github.com/jcmturner/dnsutils|github.com/jcmturner/dnsutils/v2|' $(find .  -maxdepth 1 -iname "*go" -type f)
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-1
- initial build
